%global eclipse_base        %{_libdir}/eclipse
%global install_loc         %{_datadir}/eclipse/dropins
# Taken from update site so we match upstream
#  http://download.eclipse.org/mylyn/archive/3.6.0/v20110608-1400/
%global qualifier           v20120319-0200

Name: eclipse-mylyn-versions
Summary: Eclipse Mylyn Versions
Version: 3.7.0
Release: 1%{?dist}
License: EPL
URL: http://eclipse.org/mylyn/versions/

Source0: http://git.eclipse.org/c/mylyn/org.eclipse.mylyn.versions.git/snapshot/R_3_7_0.tar.bz2

BuildArch: noarch

BuildRequires: java-devel >= 1.5.0
BuildRequires: eclipse-platform >= 1:3.8.0
BuildRequires: eclipse-pde >= 1:3.8.0
BuildRequires: eclipse-egit >= 0.10.1
BuildRequires: eclipse-mylyn-commons >= 3.7.0
Requires:      eclipse-mylyn-commons >= 3.7.0
Group: Development/Tools


%description
Provides a framework for accessing team providers for Eclipse Mylyn.


# eclips-mylyn-versions-git

%package git
Summary: Mylyn Versions Connector: Git
Requires: eclipse-platform >= 1:3.8.0
Requires: eclipse-egit >= 0.10.1
Requires: eclipse-mylyn-versions = %{version}-%{release}
Group: Development/Tools

%description git
Provides Git integration for Eclipse Mylyn.


# eclips-mylyn-versions-cvs

%package cvs
Summary: Mylyn Versions Connector: CVS
Requires: eclipse-platform >= 1:3.8.0
Requires: eclipse-mylyn-versions = %{version}-%{release}
Group: Development/Tools

%description cvs
Provides CVS integration for Eclipse Mylyn.


%prep
%setup -q -n R_3_7_0


%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.versions \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -d "mylyn-commons"
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.git \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -d "egit jgit"
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.cvs \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar


%install
install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/mylyn-versions
install -d -m 755 %{buildroot}%{install_loc}/mylyn-versions-git
install -d -m 755 %{buildroot}%{install_loc}/mylyn-versions-cvs

unzip -q -o -d %{buildroot}%{install_loc}/mylyn-versions \
 build/rpmBuild/org.eclipse.mylyn.versions.zip
unzip -q -o -d %{buildroot}%{install_loc}/mylyn-versions-git \
 build/rpmBuild/org.eclipse.mylyn.git.zip
unzip -q -o -d %{buildroot}%{install_loc}/mylyn-versions-cvs \
 build/rpmBuild/org.eclipse.mylyn.cvs.zip


# eclips-mylyn-versions

%files
%{install_loc}/mylyn-versions
%doc org.eclipse.mylyn.versions-feature/epl-v10.html
%doc org.eclipse.mylyn.versions-feature/license.html


# eclips-mylyn-versions-git

%files git
%{install_loc}/mylyn-versions-git
%doc org.eclipse.mylyn.git-feature/epl-v10.html
%doc org.eclipse.mylyn.git-feature/license.html


# eclips-mylyn-versions-cvs

%files cvs
%{install_loc}/mylyn-versions-cvs
%doc org.eclipse.mylyn.cvs-feature/epl-v10.html
%doc org.eclipse.mylyn.cvs-feature/license.html


%changelog
* Tue Mar 27 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.7.0-1
- Update to upstream 3.7.0 release.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Andrew Robinson <arobinso@redhat.com> 3.6.4-1
- Update to upstream 3.6.4 release.

* Mon Oct 31 2011 Andrew Robinson <arobinso@redhat.com> 3.6.3-1
- Update to upstream 3.6.3 release.

* Wed Oct 12 2011 Andrew Robinson <arobinso@redhat.com> 3.6.2-1
- Update to upstream 3.6.2.

* Thu Jul 14 2011 Minoo Ziaei <mziaei@redhat.com> 3.6.0-1
- Update to upstream 3.6.0.

* Wed Apr 27 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.1-1
- Update to upstream 3.5.1.
- Remove patches which fixed dependencies. It has been fixed
  upstream.

* Thu Apr 21 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.0-3
- Added standard group to main package.
- Added require eclipse-mylyn-versions to sub-packages.

* Wed Apr 20 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.0-2
- Remove unnecessary dependencies (introduced two patches to
  account for correct dependencies).
- Fixed URL.

* Wed Apr 20 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.0-1
- Introduce eclipse-mylyn-versions. Required for Eclipse Mylyn
  3.5.0 update/restructuring.
